Index: /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser
===================================================================
--- /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser	(revision 3472)
+++ /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser	(revision 3473)
@@ -805,5 +3741,5 @@
 			sepNavIntBoundsRect = "{{0, 0}, {817, 1904}}";
 			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 1047}, {817, 857}}";
+			sepNavVisRect = "{{0, 0}, {817, 430}}";
 		};
 	};
@@ -825,7 +3761,7 @@
 	6D99445A06D1F5DD009E5976 /* PIButtonQuartz.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {824, 850}}";
+			sepNavIntBoundsRect = "{{0, 0}, {817, 532}}";
 			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 0}, {824, 850}}";
+			sepNavVisRect = "{{0, 102}, {817, 430}}";
 		};
 	};
@@ -834,16 +3770,6 @@
 			sepNavIntBoundsRect = "{{0, 0}, {817, 882}}";
 			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 25}, {817, 857}}";
-		};
-	};
-	6DA1EC110D64419F00BEE134 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DEA82750C7ED41000B7D5DD /* xp1.cc */;
-		name = "xp1.cc: 204";
-		rLen = 0;
-		rLoc = 5151;
-		rType = 0;
-		vrLen = 781;
-		vrLoc = 4370;
+			sepNavVisRect = "{{0, 0}, {817, 430}}";
+		};
 	};
 	6DC3740A070405C7009E5976 /* todo.txt */ = {
@@ -857,14 +3783,14 @@
 	6DDB77DC0663260E009E5976 /* piapplgen.cc */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {824, 2576}}";
+			sepNavIntBoundsRect = "{{0, 0}, {817, 2758}}";
 			sepNavSelRange = "{5083, 0}";
-			sepNavVisRect = "{{0, 4}, {824, 850}}";
+			sepNavVisRect = "{{0, 264}, {817, 590}}";
 		};
 	};
 	6DDB77DD06632616009E5976 /* piapplgen.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {824, 850}}";
-			sepNavSelRange = "{590, 0}";
-			sepNavVisRect = "{{0, 0}, {824, 850}}";
+			sepNavIntBoundsRect = "{{0, 0}, {1062, 826}}";
+			sepNavSelRange = "{1106, 103}";
+			sepNavVisRect = "{{0, 382}, {1062, 287}}";
 		};
 	};
@@ -928,7 +3854,7 @@
 	6DE7443F0C7C2E390051D656 /* xp0.cc */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {824, 2030}}";
-			sepNavSelRange = "{728, 0}";
-			sepNavVisRect = "{{0, 44}, {824, 850}}";
+			sepNavIntBoundsRect = "{{0, 0}, {817, 1568}}";
+			sepNavSelRange = "{2417, 38}";
+			sepNavVisRect = "{{0, 1110}, {817, 430}}";
 		};
 	};
@@ -1037,8 +3963,14 @@
 	};
 	6DEA82750C7ED41000B7D5DD /* xp1.cc */ = {
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {817, 3024}}";
-			sepNavSelRange = "{5220, 0}";
-			sepNavVisRect = "{{0, 2420}, {817, 590}}";
+		isa = PBXFileReference;
+		fileEncoding = 30;
+		lastKnownFileType = sourcecode.cpp.cpp;
+		name = xp1.cc;
+		path = /Users/brunomansoux/Programmes/PI4Mac/PI/Tests/xp1.cc;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 2744}}";
+			sepNavSelRange = "{206, 0}";
+			sepNavVisRect = "{{0, 826}, {817, 430}}";
 			sepNavWindowFrame = "{{15, 53}, {1136, 944}}";
 		};
@@ -1046,7 +3978,7 @@
 	6DEA831E0C7F162300B7D5DD /* pistdwdgmosx.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {824, 1078}}";
+			sepNavIntBoundsRect = "{{0, 0}, {817, 1078}}";
 			sepNavSelRange = "{1012, 0}";
-			sepNavVisRect = "{{0, 0}, {824, 850}}";
+			sepNavVisRect = "{{0, 0}, {817, 590}}";
 		};
 	};
@@ -1064,14 +3996,4 @@
 		objects = (
 		);
-	};
-	6DEF2BC20D5C97F5006053F9 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DEA82750C7ED41000B7D5DD /* xp1.cc */;
-		name = "xp1.cc: 204";
-		rLen = 0;
-		rLoc = 5151;
-		rType = 0;
-		vrLen = 781;
-		vrLoc = 4370;
 	};
 	6DF012F40CBF6A510026E580 /* PIPeriodQuartz.h */ = {
@@ -1106,7 +4028,7 @@
 	6DFD5AD406774017009E5976 /* PIApplQuartz.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {824, 850}}";
-			sepNavSelRange = "{261, 0}";
-			sepNavVisRect = "{{0, 0}, {824, 850}}";
+			sepNavIntBoundsRect = "{{0, 0}, {817, 672}}";
+			sepNavSelRange = "{940, 0}";
+			sepNavVisRect = "{{0, 0}, {817, 590}}";
 		};
 	};
@@ -1115,5 +4037,5 @@
 			sepNavIntBoundsRect = "{{0, 0}, {817, 1358}}";
 			sepNavSelRange = "{1200, 0}";
-			sepNavVisRect = "{{0, 501}, {817, 857}}";
+			sepNavVisRect = "{{0, 490}, {817, 590}}";
 		};
 	};
Index: /trunk/SophyaPI/PI/Quartz/PIApplQuartz.h
===================================================================
--- /trunk/SophyaPI/PI/Quartz/PIApplQuartz.h	(revision 3472)
+++ /trunk/SophyaPI/PI/Quartz/PIApplQuartz.h	(revision 3473)
@@ -32,4 +32,12 @@
     virtual void	ScreenSizeMM(int& szx, int& szy);
     virtual void	ScreenResolution(int& resolx, int& resoly);
+	
+	virtual void              RedirectOutStream(PIConsole* cons, unsigned char va= PIVA_Def)  {};
+	virtual void              RedirectErrStream(PIConsole* cons, unsigned char va= PIVA_Red) {};
+
+	virtual void              RedirectOutStream(PIConsole* cons, string const & flnm, bool fgcpos=false, 
+						    unsigned char va= PIVA_Def)  {};
+	virtual void              RedirectErrStream(PIConsole* cons, string const & flnm, bool fgcpos=false, 
+						    unsigned char va= PIVA_Def)  {};
 
 protected:
Index: /trunk/SophyaPI/PI/Quartz/piwdgmosx.cpp
===================================================================
--- /trunk/SophyaPI/PI/Quartz/piwdgmosx.cpp	(revision 3472)
+++ /trunk/SophyaPI/PI/Quartz/piwdgmosx.cpp	(revision 3473)
@@ -30,5 +30,6 @@
 void PIWdgQuartz::FinishCreate()
 {
-    return;
+  finishDone = true;
+  return;
 }
 
Index: /trunk/SophyaPI/PI/Quartz/piwdgmosx.h
===================================================================
--- /trunk/SophyaPI/PI/Quartz/piwdgmosx.h	(revision 3472)
+++ /trunk/SophyaPI/PI/Quartz/piwdgmosx.h	(revision 3473)
@@ -108,4 +108,19 @@
 typedef PIWdgQuartz PIWdg;
 
+
+// -------- La classe PIScreenBuffer ----------
+class PIScreenBuffer {
+public :
+  			PIScreenBuffer(int sx, int sy) {};
+  virtual		~PIScreenBuffer() {};
+
+  virtual int         	XSize()	 {return 0;};
+  virtual int         	YSize()  {return 0;};
+  virtual  void 	CopyFromWdg(PIWdg* wdg, int ox, int oy, int dx, int dy, int x, int y) {};
+  virtual  void 	CopyToWdg(PIWdg* wdg, int ox, int oy, int dx, int dy, int x, int y) {};
+  virtual  void 	CopyFrom(PIScreenBuffer* grb, int ox, int oy, int dx, int dy, int x, int y) {};
+
+};
+
 #endif/* PIWDG_QUARTZ_SEEN */
 
Index: /trunk/SophyaPI/PI/Tests/xp1.cc
===================================================================
--- /trunk/SophyaPI/PI/Tests/xp1.cc	(revision 3472)
+++ /trunk/SophyaPI/PI/Tests/xp1.cc	(revision 3473)
@@ -10,4 +10,5 @@
 #include PISTDWDG_H 
 #include PIWIN_H
+#include "PIButtonQuartz.h"
 
 //  ----- Declaration de la classe ArgsWind : Fenetre de dialogue -------
Index: /trunk/SophyaPI/PI/piapplgen.h
===================================================================
--- /trunk/SophyaPI/PI/piapplgen.h	(revision 3472)
+++ /trunk/SophyaPI/PI/piapplgen.h	(revision 3473)
@@ -6,5 +6,6 @@
 #include PICONT_H
 #include PIMENUBAR_H
-#include "picons.h"
+#include "piconsenum.h"
+class PIConsole;
 
 
Index: /trunk/SophyaPI/PI/picons.h
===================================================================
--- /trunk/SophyaPI/PI/picons.h	(revision 3472)
+++ /trunk/SophyaPI/PI/picons.h	(revision 3473)
@@ -14,17 +14,7 @@
 #include PIBWDG_H
 
-enum PIVAType {    
-  PIVA_Def = 0,
-  PIVA_Bold = 1 << 0,
-  PIVA_Ital = 1 << 1,
-  PIVA_Reverse = 1 << 2,
-//  Le 4eme bit (<<3) est reserve pour l'usage interne (PIVA_Select)
-  PIVA_DefCol = 0,
-  PIVA_Red = 1 << 4,
-  PIVA_Blue = 2 << 4, 
-  PIVA_Green = 3 << 4, 
-  PIVA_Yellow = 4 << 4,
-  PIVA_Magenta = 5 << 4
-};
+/// Declaration enum PIVAType 
+#include "piconsenum.h"
+
 
 class PIConsole : public PIBaseWdg {
Index: /trunk/SophyaPI/PI/piconsenum.h
===================================================================
--- /trunk/SophyaPI/PI/piconsenum.h	(revision 3473)
+++ /trunk/SophyaPI/PI/piconsenum.h	(revision 3473)
@@ -0,0 +1,24 @@
+// This may look like C code, but it is really -*- C++ -*-
+// Declaration enum de PIConsole separe - 
+//                    Reza+Bruno 14 Fev 2008 
+// LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
+
+#ifndef PICONSENUM_H
+#define PICONSENUM_H
+
+enum PIVAType {    
+  PIVA_Def = 0,
+  PIVA_Bold = 1 << 0,
+  PIVA_Ital = 1 << 1,
+  PIVA_Reverse = 1 << 2,
+//  Le 4eme bit (<<3) est reserve pour l'usage interne (PIVA_Select)
+  PIVA_DefCol = 0,
+  PIVA_Red = 1 << 4,
+  PIVA_Blue = 2 << 4, 
+  PIVA_Green = 3 << 4, 
+  PIVA_Yellow = 4 << 4,
+  PIVA_Magenta = 5 << 4
+};
+
+
+#endif
Index: /trunk/SophyaPI/PI/pisysdep.h
===================================================================
--- /trunk/SophyaPI/PI/pisysdep.h	(revision 3472)
+++ /trunk/SophyaPI/PI/pisysdep.h	(revision 3473)
@@ -4,5 +4,20 @@
 #include "machdefs.h"
 
-#ifdef __MWERKS__         // Macintosh
+#ifdef __PIWQUARTZ__
+  #define PIWDG_H  "piwdgmosx.h"
+  #define PICONT_H "PIContainerQuartz.h"
+  #define PIMENU_H "PIMenuQuartz.h"
+  #define PIMENUBAR_H "PIMenuBarQuartz.h"
+  #define PIAPP_H "PIApplQuartz.h"
+  #define PISTDWDG_H "pistdwdgmosx.h"
+  #define PIWIN_H "PIWindowQuartz.h"
+  #define PIPERIODIC_H "PIPeriodQuartz.h"
+  #define PIBUTTON_H "PIButtonQuartz.h"
+  #define PIGRAPHIC_H "pigraphquartz.h"
+  #define PICMAPNTV_H "picmapquartz.h"
+  #define PICMAP_H "picmap.h"
+  #define PIFONT_H "pifontquartz.h"
+
+#elif __MWERKS__         // Macintosh
 
   #define PIWDG_H  "piwdgmac.h"
Index: /trunk/SophyaPI/PI/piwdggen.cc
===================================================================
--- /trunk/SophyaPI/PI/piwdggen.cc	(revision 3472)
+++ /trunk/SophyaPI/PI/piwdggen.cc	(revision 3473)
@@ -236,4 +236,5 @@
 {
 parent = par;
+finishDone = false;
 bindingLock = false;
 SetMsg(0);
Index: /trunk/SophyaPI/PI/piwdggen.h
===================================================================
--- /trunk/SophyaPI/PI/piwdggen.h	(revision 3472)
+++ /trunk/SophyaPI/PI/piwdggen.h	(revision 3473)
@@ -131,4 +131,5 @@
 protected:
   PIContainerGen*        parent;
+  bool finishDone;  // FinishCreate appele
   PIMessage              myMsg;
   list<EvHand>		 mDHlist;
Index: /trunk/SophyaPI/PI/piwdgx.h
===================================================================
--- /trunk/SophyaPI/PI/piwdgx.h	(revision 3472)
+++ /trunk/SophyaPI/PI/piwdgx.h	(revision 3473)
@@ -111,5 +111,4 @@
   WmIntState wmis;
   bool stmng;
-  bool finishDone;  // FinishCreate appele
   PIColors mBCol, mFCol;
   PIBindingKind mBKleft, mBKright, mBKtop, mBKbottom;
